Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
PUTSSO OperationsSince 3.5.1SynchronousAuth Required

SyncLdapServer

SyncLdapServer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLongJobInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • apiIdStringRequired

      The API ID used to associate with the task progress.

    • jobNameStringRequired

      The job name.

    • jobDataStringRequired

      The job data.

    • jobResultStringRequired

      The job result.

    • targetResourceUuidStringRequired

      The target resource UUID.

    • managementNodeUuidStringRequired

      The management node UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateLongJobStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

PUT/zstack/v1/ldap/servers/{uuid}/actions

/zstack/v1/ldap/servers/{uuid}/actions

Operation ID

SyncLdapServer

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/ldap/servers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "14dc461677b23ea1a984849f501a7152" } }

Change History

This API has no change history records yet.

View all change history